Subject: Re: linux-next: voltage tree build failure

From: Mike Rapoport <[email-masked]>
Date: Thu, 30 Apr 2009 14:06:34 +0300

Stephen Rothwell wrote:
> Hi Liam,
> 
> On Tue, 28 Apr 2009 12:08:37 +0100 Liam Girdwood <[email-masked]> wrote:
>> On Tue, 2009-04-28 at 16:24 +1000, Stephen Rothwell wrote:
>>> Hi Liam,
>>>
>>> Today's linux-next build (powerpc allyesconfig) failed like this:
>>>
>>> drivers/regulator/userspace-consumer.c:43: error: conflicting types for 'show_state'
>>> include/linux/sched.h:273: note: previous definition of 'show_state' was here
>>>
>>> Caused by commit 5defa2bce704ca4151cfe24e4297aa7797cafd22 ("regulator:
>>> add userspace-consumer driver") which I have reverted for today.
>> Sorry about this. I've now fixed in voltage next by renaming with a reg_
>> prefix. Fwiw - I did test build for ARM and all was OK yesterday. I
>> guess I need to build allyesconfig too.

It's rather my fault...
BTW, the drivers/regulator/virtual.c has show_mode which may trigger similar
error later, probably it's worth adding reg_ prefix there as well...

> More likely, sched.h is indirectly included on some platforms and not
> others.  This is partly what linux-next is for: to find cross platform
> and subsystem interactions.
> 
> Thanks for the fix.

-- 
Sincerely yours,
Mike.